sfcode An Online Competing and Development Environment

getpass

Get a password from the terminal. Sounds simple? Sounds like the `readline` module should be able to do it? NOPE.

# Install and use it

npm install --save getpass
const mod_getpass = require('getpass');

# API

## <tt>mod_getpass.getPass([options, ]callback)</tt>

Gets a password from the terminal. If available, this uses `/dev/tty` to avoid interfering with any data being piped in or out of stdio.

This function prints a prompt (by default `Password:`) and then accepts input without echoing.

Parameters:

- `options`, an Object, with properties:
  - `prompt`, an optional String
- `callback`, a `Func(error, password)`, with arguments:
  - `error`, either `null` (no error) or an `Error` instance
  - `password`, a String